function [x] = integrate_Motion_EQS(x, alpha, param)

g = param.g_surf*(param.R/(param.R + x.alt))^2;

rho = param.rho_surf*exp((param.alt_ref-x.alt)/param.H);

Cd =  2*(sind(alpha))^3;                        %Newtonian Theory
Cl =  2*(sind(alpha))^2*cosd(alpha);            %Newtonian Theory

D =  1/2*Cd*rho*x.V^2*param.S_ref;              %calculate vehicle drag
L =  1/2*Cl*rho*x.V^2*param.S_ref;              %calculate vehicle lift

%SYSTEM EQUATIONS
V_dot = -D/param.m_vcl - g*sind(x.theta);
phi_dot = -x.V*cosd(x.theta)/(param.R + x.alt);
theta_dot = L/(param.m_vcl*x.V) - g/x.V*cosd(x.theta) + phi_dot;
alt_dot = x.V*sind(x.theta);

x.V = x.V + V_dot*param.dt;
x.phi = x.phi + phi_dot*param.dt;
x.theta = x.theta + theta_dot*param.dt;
x.alt = x.alt + alt_dot*param.dt;
